<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_users
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');

?>
<div class="com-users-login">
	<form action="<?php echo JRoute::_('index.php?option=com_users&task=user.login'); ?>" method="post" class="form-validate">
		<h3 class="text-center"><?php echo $this->escape($this->params->get('page_heading')); ?></h3>
		<fieldset>
			<?php foreach ($this->form->getFieldset('credentials') as $field) : ?>
				<?php if (!$field->hidden) : ?>
					<div class="com-users-login__field">
						<?php echo $field->label; ?>
						<?php echo $field->input; ?>
					</div>
				<?php endif; ?>
			<?php endforeach; ?>
			<?php if ($this->tfa) : ?>
				<?php echo $this->form->getField('secretkey')->label; ?>
				<?php echo $this->form->getField('secretkey')->input; ?>
			<?php endif; ?>
			<?php if (JPluginHelper::isEnabled('system', 'remember')) : ?>
				<div class="com-users-login__remember form-inline">
					<label for="remember">
						<?php echo JText::_('COM_USERS_LOGIN_REMEMBER_ME'); ?>
					</label>
					<input id="remember" type="checkbox" name="remember" class="inputbox" value="yes" />
				</div>
			<?php endif; ?>
				<button type="submit" class="btn">
					<?php echo JText::_('JLOGIN'); ?>
				</button>
			<?php $return = $this->form->getValue('return', '', $this->params->get('login_redirect_url', $this->params->get('login_redirect_menuitem'))); ?>
			<input type="hidden" name="return" value="<?php echo base64_encode($return); ?>" />
			<?php echo JHtml::_('form.token'); ?>
		</fieldset>
		<p class="com-users-login__no-account">No account yet? <a href="<?php echo JRoute::_('index.php?option=com_users&view=registration'); ?>">Sign up today</a></p>
		<div class="com-users-login__forgot">
			<a href="<?php echo JRoute::_('index.php?option=com_users&view=reset'); ?>">
				<?php echo JText::_('COM_USERS_LOGIN_RESET'); ?>
			</a> | 
			<a href="<?php echo JRoute::_('index.php?option=com_users&view=remind'); ?>">
				<?php echo JText::_('COM_USERS_LOGIN_REMIND'); ?>
			</a>
			<?php $usersConfig = JComponentHelper::getParams('com_users'); ?>
			<?php if ($usersConfig->get('allowUserRegistration')) : ?>
				<a href="<?php echo JRoute::_('index.php?option=com_users&view=registration'); ?>" style="display:block;">
					<?php echo JText::_('COM_USERS_LOGIN_REGISTER'); ?>
				</a>
			<?php endif; ?>
		</div>
	</form>
</div>

